/*  MAKE&DEL.C
 *  last mod.: 2-SEP-91
 */

#include <STDIO.H>
#include <STRING.H>
#include <CONIO.H>
#include <STDLIB.H>
#include <FCNTL.H>
#include <SYS\TYPES.H>
#include <SYS\STAT.H>
#include <IO.H>
#include <L_FILE.H>

Str_ptr file_spec = "BASENAME.?";

void main(void)
{
Uint n=0;
int ch,fh,err_flag;
Uchar file_name[14];

/*  doomed attempt to make 30 new files like BASENAME.?
 *  since only 26 possibilities for extension
 */
while ( TRUE )
    {
    make_new_file_name(file_spec,file_name,&err_flag);
    if ( err_flag == -1 )
        {
        printf("\nInvalid file specification.");
        exit(1);
        }
    else if ( err_flag == -2 )
        {
        printf("\nUnable to make new file name.");
        break;
        }
    else
        {
        if ( ( fh = open(file_name,O_CREAT|O_RDONLY,
            S_IREAD|S_IWRITE) ) == -1 )
            {
            printf("open() failed for %s\n",file_name);
            exit(2);
            }
        else
            {
            close(fh);
            printf("%s created.  ",file_name);
            if ( !((++n)%3) )
                printf("\n");
            if ( n == 30 )
                break;
            }
        }
    }

printf("\n%u file%s created.\n",n,(n==1?"":"s"));
if ( n )
    {
    printf("Delete all files like \"%s\" ? (Y/N) ",file_spec);
    ch = getche();
    printf("\n");
    if ( ch == 'Y' || ch == 'y' )
        {
        n = delete_files(file_spec,NULL,&err_flag);
        printf("%u file%s erased.\n",n,(n==1?"":"s"));
        switch ( err_flag )
            {
            case -1:
                printf("Invalid attribute specification.\n");
                break;
            case -2:
                printf("File not found.\n");
                break;
            case -3:
                printf("Invalid path.\n");
                break;
            case -5:
                printf("Access denied.\n");
            }
        }
    }
}
